[Fai-commit] r3187 - in trunk: . bin debian

fai-repository at svn.debian.org fai-repository at svn.debian.org
Fri Dec 30 15:33:06 UTC 2005


Author: lange
Date: 2005-12-30 15:33:04 +0000 (Fri, 30 Dec 2005)
New Revision: 3187

Added:
   trunk/bin/fai-statoverride
Modified:
   trunk/Makefile
   trunk/debian/changelog
   trunk/debian/fai-client.install
Log:
add new script fai-statoverride


Modified: trunk/Makefile
===================================================================
--- trunk/Makefile	2005-12-24 16:46:16 UTC (rev 3186)
+++ trunk/Makefile	2005-12-30 15:33:04 UTC (rev 3187)
@@ -3,7 +3,7 @@
 DESTDIR=$(shell pwd)/debian/tmp
 export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
 LIBDIR = $(DESTDIR)/usr/lib/fai
-USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai setup_harddisks faireboot
+USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai setup_harddisks faireboot fai-statoverride
 
 USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub
 libfiles=$(wildcard lib/[a-z]*)  # do not include CVS dir

Added: trunk/bin/fai-statoverride
===================================================================
--- trunk/bin/fai-statoverride	2005-12-24 16:46:16 UTC (rev 3186)
+++ trunk/bin/fai-statoverride	2005-12-30 15:33:04 UTC (rev 3187)
@@ -0,0 +1,23 @@
+#! /bin/bash
+
+# override owner and mode of a file or directory
+# call dpkg-statoverride with multiple files, 
+# this command is idempotent
+
+# copyright Thomas Lange, Uni Koeln, 2005
+
+err=0
+
+owner=$1;shift
+group=$1;shift
+ mode=$1;shift
+
+for f in $* ;do
+    $ROOTCMD dpkg-statoverride --list | grep -q " $f"
+    if [ "$?" -eq 1 ]; then
+	echo "Overriding owner and mode: $owner $group $mode $f" 
+	$ROOTCMD dpkg-statoverride --update --add $owner $group $mode $f && err=1
+    fi
+done
+
+exit $err


Property changes on: trunk/bin/fai-statoverride
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2005-12-24 16:46:16 UTC (rev 3186)
+++ trunk/debian/changelog	2005-12-30 15:33:04 UTC (rev 3187)
@@ -1,3 +1,10 @@
+fai (2.10) unstable; urgency=low
+
+  * install_packages: add aptitude-r to @commands (closes: #343361)
+  * new command fai-statoverride (like dpkg-statoverride)
+
+ -- Thomas Lange <lange at debian.org>  Fri, 30 Dec 2005 16:32:38 +0100
+
 fai (2.9) unstable; urgency=low
 
   * splitting binary package fai into fai-server, fai-client, fai-doc and

Modified: trunk/debian/fai-client.install
===================================================================
--- trunk/debian/fai-client.install	2005-12-24 16:46:16 UTC (rev 3186)
+++ trunk/debian/fai-client.install	2005-12-30 15:33:04 UTC (rev 3187)
@@ -17,3 +17,4 @@
 usr/sbin/ftar
 usr/sbin/install_packages
 usr/sbin/setup_harddisks
+usr/sbin/fai-statoverride




More information about the Fai-commit mailing list